{
  "version": "0.5.0",
  "license": "MIT",
  "main": "dist/index.js",
  "typings": "dist/index.d.ts",
  "files": [
    "dist",
    "src"
  ],
  "engines": {
    "node": ">=10"
  },
  "scripts": {
    "postinstall": "test -f .env.development && env-cmd -x -f .env.development ts-node --project tsconfig-node.json scripts/postinstall.ts || echo 'Skip post-install'",
    "start": "tsdx watch",
    "build": "tsdx build",
    "test": "tsdx test",
    "lint": "tsdx lint",
    "prepare": "tsdx build",
    "size": "size-limit",
    "analyze": "size-limit --why",
    "build-all": "yarn build",
    "git-clean-commit": "bash -c \"[ -z $(git status --porcelain) ] && { git rm --cached -r . && git reset --hard; }\"",
    "setup-gitlab-credentials": "./node_modules/.bin/env-cmd -x ts-node --project tsconfig-node.json scripts/setup-git-release-credentials.ts",
    "setup-generate-npmrc": "./node_modules/.bin/env-cmd -x ts-node --project tsconfig-node.json scripts/generate-npmrc.ts",
    "release": "./node_modules/.bin/env-cmd -x release-it -VV --dry-run",
    "release:ci": "release-it --ci"
  },
  "peerDependencies": {},
  "prettier": {
    "printWidth": 80,
    "semi": true,
    "singleQuote": true,
    "trailingComma": "es5"
  },
  "name": "@singletonsd/my-common-lib",
  "author": "Pato Perpetua",
  "module": "dist/my-common-lib.esm.js",
  "size-limit": [
    {
      "path": "dist/my-common-lib.cjs.production.min.js",
      "limit": "10 KB"
    },
    {
      "path": "dist/my-common-lib.esm.js",
      "limit": "10 KB"
    }
  ],
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "eslint \"{src,scripts,apps,libs,test}/**/*.ts\" --fix",
      "yarn build",
      "jest --findRelatedTests"
    ]
  },
  "devDependencies": {
    "@commitlint/cli": "^17.6.5",
    "@commitlint/config-conventional": "^17.6.5",
    "@release-it/conventional-changelog": "^5.1.1",
    "@size-limit/preset-small-lib": "^8.2.4",
    "husky": "^8.0.3",
    "lint-staged": "^13.2.2",
    "release-it": "^15.11.0",
    "size-limit": "^8.2.4",
    "ts-node": "^10.9.1",
    "tsdx": "^0.14.1",
    "tslib": "^2.5.3",
    "typescript": "^5.1.3"
  },
  "dependencies": {
    "env-cmd": "^10.1.0"
  }
}
